[jitsi-dev] MS Edge support for jitsi-meet


#1

Hi guys,

I was wondering should there be support of MS Edge in jitsi-meet? As far as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13 and tries to use Temasys WebRTC plugin. But this plugin is not compatible with MS Edge (http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-).

Regards,
Kostia


#2

Hi Kostia,

···

On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:

Hi guys,

I was wondering should there be support of MS Edge in jitsi-meet? As far
as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
and tries to use Temasys WebRTC plugin. But this plugin is not
compatible with MS Edge
(http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-).

The application will not run on IE or Edge without the Temasys plugin, so if the plugin doesn't run on Edge the app won't run either. We should probably fix the Edge detection and report an unsupported browser.

Boris


#3

Edge supports quite a bit of WebRTC. Start supporting that rather than saying it's unsupported (video will be a problem until Chrome has H264 too, but audio is already possible).

Ingo

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

···

On 11.05.2016, at 16:49, Boris Grozev <boris@jitsi.org> wrote:

Hi Kostia,

On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:
Hi guys,

I was wondering should there be support of MS Edge in jitsi-meet? As far
as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
and tries to use Temasys WebRTC plugin. But this plugin is not
compatible with MS Edge
(http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-).

The application will not run on IE or Edge without the Temasys plugin, so if the plugin doesn't run on Edge the app won't run either. We should probably fix the Edge detection and report an unsupported browser.

Boris

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#4

Not exactly comparable efforts. We do have ORTC on our roadmap and we even
have it scheduled for soon, but will probably be quite a while before we
are even close to a prototype.

So I agree with Boris.

···

On Wednesday, 11 May 2016, Ingo Bauersachs <ingo@jitsi.org> wrote:

Edge supports quite a bit of WebRTC. Start supporting that rather than
saying it's unsupported (video will be a problem until Chrome has H264 too,
but audio is already possible).

Ingo

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

> On 11.05.2016, at 16:49, Boris Grozev <boris@jitsi.org <javascript:;>> > wrote:
>
> Hi Kostia,
>
>> On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:
>> Hi guys,
>>
>> I was wondering should there be support of MS Edge in jitsi-meet? As far
>> as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
>> and tries to use Temasys WebRTC plugin. But this plugin is not
>> compatible with MS Edge
>> (
http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-
).
>
> The application will not run on IE or Edge without the Temasys plugin,
so if the plugin doesn't run on Edge the app won't run either. We should
probably fix the Edge detection and report an unsupported browser.
>
> Boris
>
> _______________________________________________
> dev mailing list
> dev@jitsi.org <javascript:;>
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org <javascript:;>
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

--
sent from my mobile


#5

Chrome has h.264 support now, the problem is that its hidden behind a flag.

Regards,
Paul

···

On Wed, May 11, 2016 at 11:10 AM Ingo Bauersachs <ingo@jitsi.org> wrote:

Edge supports quite a bit of WebRTC. Start supporting that rather than
saying it's unsupported (video will be a problem until Chrome has H264 too,
but audio is already possible).

Ingo

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

> On 11.05.2016, at 16:49, Boris Grozev <boris@jitsi.org> wrote:
>
> Hi Kostia,
>
>> On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:
>> Hi guys,
>>
>> I was wondering should there be support of MS Edge in jitsi-meet? As far
>> as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
>> and tries to use Temasys WebRTC plugin. But this plugin is not
>> compatible with MS Edge
>> (
http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-
).
>
> The application will not run on IE or Edge without the Temasys plugin,
so if the plugin doesn't run on Edge the app won't run either. We should
probably fix the Edge detection and report an unsupported browser.
>
> Boris
>
> _______________________________________________
> dev mailing list
> dev@jitsi.org
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#6

No more flag in M52 :slight_smile:

···

On Wed, May 11, 2016 at 5:29 PM, Mondain <mondain@gmail.com> wrote:

Chrome has h.264 support now, the problem is that its hidden behind a flag.

Regards,
Paul

On Wed, May 11, 2016 at 11:10 AM Ingo Bauersachs <ingo@jitsi.org> wrote:

Edge supports quite a bit of WebRTC. Start supporting that rather than
saying it's unsupported (video will be a problem until Chrome has H264 too,
but audio is already possible).

Ingo

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

> On 11.05.2016, at 16:49, Boris Grozev <boris@jitsi.org> wrote:
>
> Hi Kostia,
>
>> On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:
>> Hi guys,
>>
>> I was wondering should there be support of MS Edge in jitsi-meet? As
far
>> as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
>> and tries to use Temasys WebRTC plugin. But this plugin is not
>> compatible with MS Edge
>> (
http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-
).
>
> The application will not run on IE or Edge without the Temasys plugin,
so if the plugin doesn't run on Edge the app won't run either. We should
probably fix the Edge detection and report an unsupported browser.
>
> Boris
>
> _______________________________________________
> dev mailing list
> dev@jitsi.org
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev


#7

Edge has no support for H.264 AVC. It does H.264 UC which is incompatible
with what you get with FF and Chrome. They do have AVC coming soon but it
will probably still be at least a couple of months.

···

On Wednesday, 11 May 2016, Mondain <mondain@gmail.com> wrote:

Chrome has h.264 support now, the problem is that its hidden behind a flag.

Regards,
Paul

On Wed, May 11, 2016 at 11:10 AM Ingo Bauersachs <ingo@jitsi.org > <javascript:_e(%7B%7D,'cvml','ingo@jitsi.org');>> wrote:

Edge supports quite a bit of WebRTC. Start supporting that rather than
saying it's unsupported (video will be a problem until Chrome has H264 too,
but audio is already possible).

Ingo

Freundliche Grüsse,
Ingo Bauersachs

-- sent from my mobile

> On 11.05.2016, at 16:49, Boris Grozev <boris@jitsi.org >> <javascript:_e(%7B%7D,'cvml','boris@jitsi.org');>> wrote:
>
> Hi Kostia,
>
>> On 11/05/16 05:03, Kostiantyn Tsaregradskyi wrote:
>> Hi guys,
>>
>> I was wondering should there be support of MS Edge in jitsi-meet? As
far
>> as I see know, lib-jitsi-meet determines MS Edge as IExplorer ver. 13
>> and tries to use Temasys WebRTC plugin. But this plugin is not
>> compatible with MS Edge
>> (
http://support.temasys.com.sg/support/solutions/articles/5000654345-can-the-temasys-webrtc-plugin-be-used-with-microsoft-edge-
).
>
> The application will not run on IE or Edge without the Temasys plugin,
so if the plugin doesn't run on Edge the app won't run either. We should
probably fix the Edge detection and report an unsupported browser.
>
> Boris
>
> _______________________________________________
> dev mailing list
> dev@jitsi.org <javascript:_e(%7B%7D,'cvml','dev@jitsi.org');>
> Unsubscribe instructions and other list options:
> http://lists.jitsi.org/mailman/listinfo/dev

_______________________________________________
dev mailing list
dev@jitsi.org <javascript:_e(%7B%7D,'cvml','dev@jitsi.org');>
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

--
sent from my mobile


#8

Not exactly comparable efforts. We do have ORTC on our roadmap and we even
have it scheduled for soon, but will probably be quite a while before we are
even close to a prototype.

Last I've read is that there are already adapter-libs mapping ORTC to WebRTC.

So I agree with Boris.

Ingo


#9

I am very sceptical of those, specifically for the multi stream case. So
far the plan is to go for native ORTC support.

Even if they did work as a drop-in replacement though (which I really don't
expect) there would likely still be a ton of things to address around the
frontend side. So all in all I still find "you had better implement
it rather than adding a warning screen" to be a bit of an unfair comment :slight_smile:

Emil

···

On Thursday, 12 May 2016, Ingo Bauersachs <ingo@jitsi.org> wrote:

> Not exactly comparable efforts. We do have ORTC on our roadmap and we
even
> have it scheduled for soon, but will probably be quite a while before we
are
> even close to a prototype.

Last I've read is that there are already adapter-libs mapping ORTC to
WebRTC.

> So I agree with Boris.

Ingo

_______________________________________________
dev mailing list
dev@jitsi.org <javascript:;>
Unsubscribe instructions and other list options:
http://lists.jitsi.org/mailman/listinfo/dev

--
sent from my mobile